Reference
Every call the gateway forwards to ODATANO, NIGHTGATE and ASTRA, 131 in total. One call costs one unit of your key; $metadata and the verify lane are free. Open a service, then a call: the request is a runnable curl with real preprod values, the result shows the shape of the answer. Set your key once with export ODATANO_ACCESS_KEY=oda_…. Base URL: https://api.preprod.odatano.dev.
CardanoODataService
Blocks, transactions, UTxOs, addresses, pools, epochs, assets, metadata.41 calls
CardanoODataService
Blocks, transactions, UTxOs, addresses, pools, epochs, assets, metadata.
/odata/v4/cardano-odata
NetworkInformationentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/NetworkInformation?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#NetworkInformation",
"value": [
{
"network": "preprod",
"maxSupply": "45000000000000000",
"totalSupply": "45000000000000000",
"circulatingSupply": "45000000000000000",
"lockedSupply": "45000000000000000",
"treasurySupply": "45000000000000000",
"reservesSupply": "45000000000000000",
"liveStake": "125000000000",
"activeStake": "125000000000",
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
BlocksentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Blocks?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Blocks",
"value": [
{
"hash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
"time": "2026-09-19T18:12:23Z",
"height": 5196113,
"slotLeader": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"epochNumber": 314,
"epoch_epoch": 314,
"slot": 134158343,
"epochSlot": 151943,
"size": 4321,
"txCount": 3,
"fees": "184521"
}
]
}
EpochsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Epochs?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Epochs",
"value": [
{
"epoch": 314,
"startTime": 1789974761,
"endTime": 1789974761,
"firstBlockTime": 1789974761,
"lastBlockTime": 1789974761,
"blockCount": 3,
"txCount": 3,
"output": "{}",
"fees": "184521",
"activeStake": "125000000000"
}
]
}
PoolsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Pools?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Pools",
"value": [
{
"poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"vrfKeyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"blocksMinted": 1,
"blocksEpoch": 314,
"liveStake": "125000000000",
"liveSize": "2500000",
"liveSaturation": "2500000",
"liveDelegators": 1,
"activeStake": "125000000000",
"activeSize": "2500000",
"pledge": "170000000",
"margin": "2500000",
"fixedCost": "170000000",
"rewardAccount": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
DrepsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Dreps?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Dreps",
"value": [
{
"drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
"hex": "5901a0010100323232…",
"amount": "2500000",
"hasScript": true,
"lastActiveEpoch": 314,
"retired": true,
"expired": false,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
PoolEpochSnapshotsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/PoolEpochSnapshots?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#PoolEpochSnapshots",
"value": [
{
"poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"epoch": 314,
"snapshotSlot": 134158343,
"snapshotTime": 1789974761,
"blocksMinted": 1,
"blocksEpoch": 314,
"liveStake": "125000000000",
"liveSize": "2500000",
"liveSaturation": "2500000",
"liveDelegators": 1,
"activeStake": "125000000000",
"activeSize": "2500000",
"pledge": "170000000",
"margin": "2500000",
"fixedCost": "170000000"
}
]
}
DrepEpochSnapshotsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/DrepEpochSnapshots?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#DrepEpochSnapshots",
"value": [
{
"drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
"epoch": 314,
"snapshotSlot": 134158343,
"snapshotTime": 1789974761,
"amount": "2500000",
"hasScript": true,
"lastActiveEpoch": 314,
"retired": true,
"expired": false
}
]
}
AssetsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Assets?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Assets",
"value": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"assetNameHex": "424541434f4e",
"assetName": "BEACON",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"totalSupply": "45000000000000000",
"mintOrBurnCount": 3,
"initialMintTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"initialMintTime": 1789974761,
"onchainMetadata": "{}",
"registryName": "ODATANO Token",
"registryTicker": "ODAT",
"registryDecimals": 6,
"registryDescription": "5901a0010100323232…",
"registryUrl": "https://odatano.dev",
"registryLogo": "https://odatano.dev/logo.png",
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
AssetHistoryentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/AssetHistory?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#AssetHistory",
"value": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"action": "call",
"quantity": "1",
"blockTime": 1789974761,
"blockHeight": 5196113
}
]
}
TransactionsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Transactions?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Transactions",
"value": [
{
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
"blockHeight": 5196113,
"blockTime": 1789974761,
"slot": 134158343,
"txIndex": 0,
"fee": "184521",
"deposit": "2500000",
"size": 4321,
"hasMetadata": true,
"hasInputs": true,
"hasOutputs": true
}
]
}
TransactionInputsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionInputs?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionInputs",
"value": [
{
"tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"inputIndex": 0,
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"utxoData": {
"dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"inlineDatum": "{\"constructor\":0,\"fields\":[]}",
"referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
},
"isCollateral": true,
"isReference": true,
"hasAddresses": true,
"hasAssets": true
}
]
}
TransactionOutputsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionOutputs?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionOutputs",
"value": [
{
"tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"outputIndex": 0,
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"utxo": {
"dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"inlineDatum": "{\"constructor\":0,\"fields\":[]}",
"referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
},
"hasAddresses": true,
"hasAssets": true
}
]
}
TransactionInputAssetsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionInputAssets?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionInputAssets",
"value": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"asset": {
"quantity": "1",
"policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"assetNameHex": "424541434f4e",
"assetName": "BEACON",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua"
}
}
]
}
TransactionOutputAssetsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionOutputAssets?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionOutputAssets",
"value": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"asset": {
"quantity": "1",
"policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"assetNameHex": "424541434f4e",
"assetName": "BEACON",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua"
}
}
]
}
AccountsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Accounts?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Accounts",
"value": [
{
"stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
"active": true,
"activeEpoch": 314,
"controlledAmount": "2500000",
"rewardsSum": "2500000",
"withdrawalsSum": "2500000",
"reservesSum": "2500000",
"treasurySum": "2500000",
"withdrawableAmount": "2500000",
"poolId_poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"drepId_drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
"hasAddresses": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
AddressesentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/Addresses?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Addresses",
"value": [
{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
"type": "regular",
"isScript": true,
"totalLovelace": "2500000",
"utxoCount": 3,
"hasTransactions": true,
"hasAssets": true,
"hasUTxOs": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
AddressAssetsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/AddressAssets?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#AddressAssets",
"value": [
{
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"asset": {
"quantity": "1",
"policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"assetNameHex": "424541434f4e",
"assetName": "BEACON",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua"
},
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
AddressUTxOsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/AddressUTxOs?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#AddressUTxOs",
"value": [
{
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"index": 0,
"blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
"utxodata": {
"dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"inlineDatum": "{\"constructor\":0,\"fields\":[]}",
"referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
},
"lovelace": "2500000",
"hasAssets": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
AddressTransactionsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/AddressTransactions?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#AddressTransactions",
"value": [
{
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"netAmount": "2500000",
"blockTime": 1789974761,
"netAssets": "2500000",
"hasAssets": true
}
]
}
UTxOAssetsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/UTxOAssets?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#UTxOAssets",
"value": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"asset": {
"quantity": "1",
"policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"assetNameHex": "424541434f4e",
"assetName": "BEACON",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua"
},
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
TransactionMetadataentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/TransactionMetadata?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionMetadata",
"value": [
{
"id": 1,
"tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"label": "my-app",
"payload": "{}"
}
]
}
LedgerProtocolParametersentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/LedgerProtocolParameters?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#LedgerProtocolParameters",
"value": [
{
"network": "preprod",
"epoch": 314,
"minFeeA": 1,
"minFeeB": 1,
"maxBlockSize": 4321,
"maxTxSize": 4321,
"maxBlockHeaderSize": 4321,
"keyDeposit": "2500000",
"poolDeposit": "2500000",
"eMax": 1,
"nOpt": 1,
"a0": "2500000",
"rho": "2500000",
"tau": "2500000",
"minPoolCost": "170000000",
"decentralisationParam": "2500000",
"extraEntropy": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"protocolMajorVer": 1,
"protocolMinorVer": 1,
"minUtxo": "170000000",
"nonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"costModels": "{}",
"priceMem": "2500000",
"priceStep": "2500000",
"maxTxExMem": "14000000",
"maxTxExSteps": "10000000000",
"maxBlockExMem": "14000000",
"maxBlockExSteps": "10000000000",
"maxValSize": "5000",
"collateralPercent": 1,
"maxCollateralInputs": 1,
"coinsPerUtxoSize": "170000000",
"coinsPerUtxoWord": "170000000",
"fetchedAt": "2026-09-19T18:12:23Z",
"source": "indexer"
}
]
}
GetNetworkInformation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetNetworkInformation' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{}'
result{
"@odata.context": "$metadata#NetworkInformation",
"network": "preprod",
"maxSupply": "45000000000000000",
"totalSupply": "45000000000000000",
"circulatingSupply": "45000000000000000",
"lockedSupply": "45000000000000000",
"treasurySupply": "45000000000000000",
"reservesSupply": "45000000000000000",
"liveStake": "125000000000",
"activeStake": "125000000000",
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
GetBlockByHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetBlockByHash' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"hash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328"
}'
result{
"@odata.context": "$metadata#Blocks",
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"time": "2026-09-19T18:12:23Z",
"height": 5196113,
"slotLeader": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"epochNumber": 314,
"epoch_epoch": 314,
"slot": 134158343,
"epochSlot": 151943,
"size": 4321,
"txCount": 3,
"fees": "184521"
}
GetEpochByNumber(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetEpochByNumber' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"epochNumber": 314
}'
result{
"@odata.context": "$metadata#Epochs",
"epoch": 314,
"startTime": 1789974761,
"endTime": 1789974761,
"firstBlockTime": 1789974761,
"lastBlockTime": 1789974761,
"blockCount": 3,
"txCount": 3,
"output": "{}",
"fees": "184521",
"activeStake": "125000000000"
}
GetPoolById(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetPoolById' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222"
}'
result{
"@odata.context": "$metadata#Pools",
"poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"vrfKeyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"blocksMinted": 1,
"blocksEpoch": 314,
"liveStake": "125000000000",
"liveSize": "2500000",
"liveSaturation": "2500000",
"liveDelegators": 1,
"activeStake": "125000000000",
"activeSize": "2500000",
"pledge": "170000000",
"margin": "2500000",
"fixedCost": "170000000",
"rewardAccount": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
GetDrepById(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetDrepById' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc"
}'
result{
"@odata.context": "$metadata#Dreps",
"drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
"hex": "5901a0010100323232…",
"amount": "2500000",
"hasScript": true,
"lastActiveEpoch": 314,
"retired": true,
"expired": false,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
GetAssetInfo(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAssetInfo' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e"
}'
result{
"@odata.context": "$metadata#Assets",
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"assetNameHex": "424541434f4e",
"assetName": "BEACON",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"totalSupply": "45000000000000000",
"mintOrBurnCount": 3,
"initialMintTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"initialMintTime": 1789974761,
"onchainMetadata": "{}",
"registryName": "ODATANO Token",
"registryTicker": "ODAT",
"registryDecimals": 6,
"registryDescription": "5901a0010100323232…",
"registryUrl": "https://odatano.dev",
"registryLogo": "https://odatano.dev/logo.png",
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
GetAssetHistory(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAssetHistory' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"limit": 10
}'
result{
"value": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"action": "call",
"quantity": "1",
"blockTime": 1789974761,
"blockHeight": 5196113
}
]
}
GetAccountByStakeAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAccountByStakeAddress' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2"
}'
result{
"@odata.context": "$metadata#Accounts",
"stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
"active": true,
"activeEpoch": 314,
"controlledAmount": "2500000",
"rewardsSum": "2500000",
"withdrawalsSum": "2500000",
"reservesSum": "2500000",
"treasurySum": "2500000",
"withdrawableAmount": "2500000",
"poolId_poolId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"drepId_drepId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
"hasAddresses": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
GetTransactionByHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetTransactionByHash' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9"
}'
result{
"@odata.context": "$metadata#Transactions",
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
"blockHeight": 5196113,
"blockTime": 1789974761,
"slot": 134158343,
"txIndex": 0,
"fee": "184521",
"deposit": "2500000",
"size": 4321,
"hasMetadata": true,
"hasInputs": true,
"hasOutputs": true
}
GetMetadataByTxHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetMetadataByTxHash' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9"
}'
result{
"value": [
{
"id": 1,
"tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"label": "my-app",
"payload": "{}"
}
]
}
GetAddressByBech32(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAddressByBech32' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
"@odata.context": "$metadata#Addresses",
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"stakeAddress": "stake_test1uzn083tm8erradk0lwzzkegewdtwj6mukk2ep2r03g9j87g0020y2",
"type": "regular",
"isScript": true,
"totalLovelace": "2500000",
"utxoCount": 3,
"hasTransactions": true,
"hasAssets": true,
"hasUTxOs": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
GetUTxOsByAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetUTxOsByAddress' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
"value": [
{
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"index": 0,
"blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
"utxodata": {
"dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"inlineDatum": "{\"constructor\":0,\"fields\":[]}",
"referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
},
"lovelace": "2500000",
"hasAssets": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
GetUTxOsByCredential(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetUTxOsByCredential' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"credential": "ed0a9f313861852c644275742c4b98de9483c0540eb88158e6ffa07f"
}'
result{
"value": [
{
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"index": 0,
"blockHash": "05d3e638fc428616d2f224791ea0caa7ad4273de5068dddfcdad2dd07f26c328",
"utxodata": {
"dataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"inlineDatum": "{\"constructor\":0,\"fields\":[]}",
"referenceScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
},
"lovelace": "2500000",
"hasAssets": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
GetAssetsByAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetAssetsByAddress' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
"value": [
{
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"asset": {
"quantity": "1",
"policyId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"assetNameHex": "424541434f4e",
"assetName": "BEACON",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua"
},
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
]
}
GetLatestTransactionsByAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLatestTransactionsByAddress' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"limit": 10
}'
result{
"value": [
{
"address_address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"tx_hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"netAmount": "2500000",
"blockTime": 1789974761,
"netAssets": "2500000",
"hasAssets": true
}
]
}
GetLatestBlock(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLatestBlock' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{}'
result{
"@odata.context": "$metadata#Blocks",
"hash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"time": "2026-09-19T18:12:23Z",
"height": 5196113,
"slotLeader": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"epochNumber": 314,
"epoch_epoch": 314,
"slot": 134158343,
"epochSlot": 151943,
"size": 4321,
"txCount": 3,
"fees": "184521"
}
GetLatestEpoch(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLatestEpoch' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{}'
result{
"@odata.context": "$metadata#Epochs",
"epoch": 314,
"startTime": 1789974761,
"endTime": 1789974761,
"firstBlockTime": 1789974761,
"lastBlockTime": 1789974761,
"blockCount": 3,
"txCount": 3,
"output": "{}",
"fees": "184521",
"activeStake": "125000000000"
}
GetLedgerProtocolParameters(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/GetLedgerProtocolParameters' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{}'
result{
"@odata.context": "$metadata#LedgerProtocolParameters",
"network": "preprod",
"epoch": 314,
"minFeeA": 1,
"minFeeB": 1,
"maxBlockSize": 4321,
"maxTxSize": 4321,
"maxBlockHeaderSize": 4321,
"keyDeposit": "2500000",
"poolDeposit": "2500000",
"eMax": 1,
"nOpt": 1,
"a0": "2500000",
"rho": "2500000",
"tau": "2500000",
"minPoolCost": "170000000",
"decentralisationParam": "2500000",
"extraEntropy": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"protocolMajorVer": 1,
"protocolMinorVer": 1,
"minUtxo": "170000000",
"nonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"costModels": "{}",
"priceMem": "2500000",
"priceStep": "2500000",
"maxTxExMem": "14000000",
"maxTxExSteps": "10000000000",
"maxBlockExMem": "14000000",
"maxBlockExSteps": "10000000000",
"maxValSize": "5000",
"collateralPercent": 1,
"maxCollateralInputs": 1,
"coinsPerUtxoSize": "170000000",
"coinsPerUtxoWord": "170000000",
"fetchedAt": "2026-09-19T18:12:23Z",
"source": "indexer"
}
ParseTransactionCbor(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-odata/ParseTransactionCbor' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"cbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…"
}'
result{
"@odata.context": "$metadata#ParsedTransaction",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"network": "preprod",
"inputs": [
{
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"outputIndex": 0
}
],
"outputs": [
{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"lovelace": "2500000",
"assets": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"quantity": "1"
}
],
"datumHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"inlineDatumHex": "{\"constructor\":0,\"fields\":[]}",
"referenceScriptHex": "5901a0010100323232…"
}
],
"validityStart": "1790000000000",
"validityEnd": "1790000000000",
"fee": "184521",
"mint": [
{
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"quantity": "1"
}
],
"metadataLabels": [
"example"
],
"collateral": [
{
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"outputIndex": 0
}
],
"requiredSigners": [
"example"
],
"scriptDataHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"witnesses": {
"vkeyCount": 3,
"nativeScripts": 1,
"plutusScripts": 1,
"plutusData": 1,
"redeemers": 1
}
}
CardanoTransactionService
Build, submit and track transactions.13 calls
CardanoTransactionService
Build, submit and track transactions.
/odata/v4/cardano-transaction
TransactionSubmissionsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/TransactionSubmissions?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionSubmissions",
"value": [
{
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"submittedAt": 1789974761,
"status": "pending",
"errorCode": null,
"errorMessage": null,
"retryCount": 3,
"hasErrors": false
}
]
}
TransactionSubmissions/CheckSubmissionStatus(…)actionPOST
requestcurl "https://api.preprod.odatano.dev/odata/v4/cardano-transaction/TransactionSubmissions(id='6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10')/CheckSubmissionStatus" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{}'
result{
"@odata.context": "$metadata#TransactionSubmissions",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"submittedAt": 1789974761,
"status": "pending",
"errorCode": null,
"errorMessage": null,
"retryCount": 3,
"hasErrors": false
}
BuildSimpleAdaTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildSimpleAdaTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"lovelaceAmount": "2500000"
}'
# optional: changeAddress (Bech32), outputDatumJson (String), assetsJson (String), forceInputsJson (String), validatorScript (String), scriptParamsJson (String), lockOnScript (Boolean), referenceScriptHex (String), validityStartMs (String), validityEndMs (String)
result{
"@odata.context": "$metadata#TransactionBuilds",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"network": "preprod",
"builderEngine": "buildooor",
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fee": "184521",
"size": 4321,
"createdAt": 1789974761,
"submission_ID": "<uuid>",
"hasInputs": true,
"hasOutputs": true,
"wasSubmitted": true,
"scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"forcedInputsUsed": 1,
"referenceInputsUsed": 1,
"collateralAvailable": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
BuildTransactionWithMetadata(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildTransactionWithMetadata' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"lovelaceAmount": "2500000",
"metadataJson": "{\"674\":{\"msg\":[\"hello from the gateway\"]}}"
}'
# optional: changeAddress (Bech32)
result{
"@odata.context": "$metadata#TransactionBuilds",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"network": "preprod",
"builderEngine": "buildooor",
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fee": "184521",
"size": 4321,
"createdAt": 1789974761,
"submission_ID": "<uuid>",
"hasInputs": true,
"hasOutputs": true,
"wasSubmitted": true,
"scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"forcedInputsUsed": 1,
"referenceInputsUsed": 1,
"collateralAvailable": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
BuildMultiAssetTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildMultiAssetTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"lovelaceAmount": "2500000",
"assetsJson": "[{\"unit\":\"0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e\",\"quantity\":\"1\"}]"
}'
# optional: changeAddress (Bech32), outputDatumJson (String), referenceScriptHex (String), validityStartMs (String), validityEndMs (String)
result{
"@odata.context": "$metadata#TransactionBuilds",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"network": "preprod",
"builderEngine": "buildooor",
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fee": "184521",
"size": 4321,
"createdAt": 1789974761,
"submission_ID": "<uuid>",
"hasInputs": true,
"hasOutputs": true,
"wasSubmitted": true,
"scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"forcedInputsUsed": 1,
"referenceInputsUsed": 1,
"collateralAvailable": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
BuildMintTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildMintTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"lovelaceAmount": "2500000",
"mintActionsJson": "{}",
"mintingPolicyScript": "5901a0010100323232…"
}'
# optional: changeAddress (Bech32), requiredSignersJson (String), scriptParamsJson (String), inlineDatumJson (String), mintRedeemerJson (String), lockOnScript (Boolean), forceInputsJson (String), referenceInputsJson (String)
result204 No Content
GetBuildDetails(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/GetBuildDetails' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"buildId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a13"
}'
result{
"@odata.context": "$metadata#TransactionBuilds",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"network": "preprod",
"builderEngine": "buildooor",
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fee": "184521",
"size": 4321,
"createdAt": 1789974761,
"submission_ID": "<uuid>",
"hasInputs": true,
"hasOutputs": true,
"wasSubmitted": true,
"scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"forcedInputsUsed": 1,
"referenceInputsUsed": 1,
"collateralAvailable": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
SubmitTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/SubmitTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"buildId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a13",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…"
}'
result{
"@odata.context": "$metadata#TransactionSubmissions",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"submittedAt": 1789974761,
"status": "pending",
"errorCode": null,
"errorMessage": null,
"retryCount": 3,
"hasErrors": false
}
SubmitSignedTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/SubmitSignedTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"network": "preprod"
}'
result{
"@odata.context": "$metadata#TransactionSubmissions",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"submittedAt": 1789974761,
"status": "pending",
"errorCode": null,
"errorMessage": null,
"retryCount": 3,
"hasErrors": false
}
BuildPlutusSpendTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/BuildPlutusSpendTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"recipientAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"lovelaceAmount": "2500000",
"validatorScript": "5901a0010100323232…",
"scriptTxHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"scriptOutputIndex": 0,
"redeemerJson": "{}"
}'
# optional: datumJson (String), changeAddress (Bech32), requiredSignersJson (String), scriptParamsJson (String), inlineDatumJson (String), lockOnScript (Boolean), forceInputsJson (String), extraOutputsJson (String), mintActionsJson (String), mintingPolicyScript (String), mintRedeemerJson (String), referenceInputsJson (String), referenceScriptHex (String), validityStartMs (String), validityEndMs (String)
result{
"@odata.context": "$metadata#TransactionBuilds",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"network": "preprod",
"builderEngine": "buildooor",
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fee": "184521",
"size": 4321,
"createdAt": 1789974761,
"submission_ID": "<uuid>",
"hasInputs": true,
"hasOutputs": true,
"wasSubmitted": true,
"scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"forcedInputsUsed": 1,
"referenceInputsUsed": 1,
"collateralAvailable": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
SetCollateral(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/SetCollateral' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
"@odata.context": "$metadata#TransactionBuilds",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"network": "preprod",
"builderEngine": "buildooor",
"senderAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"changeAddress": "addr_test1qqetut2p58zgyhlt0rf8f6er922dnxsks4g6d79etykmhdax70zhk0jx86mvl7uy9dj3ju6ka94hedv4jz5xlzsty0ustdj7y2",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fee": "184521",
"size": 4321,
"createdAt": 1789974761,
"submission_ID": "<uuid>",
"hasInputs": true,
"hasOutputs": true,
"wasSubmitted": true,
"scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"mintScriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fingerprint": "asset1denjnw8f0qtcqu66wd5xxrv2ycghml6ed0alua",
"scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"forcedInputsUsed": 1,
"referenceInputsUsed": 1,
"collateralAvailable": true,
"validFrom": "2026-09-19T18:12:23Z",
"validTo": "2026-09-19T18:12:23Z"
}
DeriveScriptAddress(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/DeriveScriptAddress' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"validatorScript": "5901a0010100323232…"
}'
# optional: scriptParamsJson (String), network (String)
result{
"scriptAddress": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"scriptHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
ExtractPaymentKeyHash(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-transaction/ExtractPaymentKeyHash' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx"
}'
result{
"paymentKeyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
CardanoSignService
Signing requests and signature verification.5 calls
CardanoSignService
Signing requests and signature verification.
/odata/v4/cardano-sign
VerifySignature(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/VerifySignature' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"signingRequestId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"signerType": "cip30",
"signerInfo": "Eternl 1.13"
}'
# optional: address (Bech32)
result{
"@odata.context": "$metadata#SignatureVerifications",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signingRequest_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"isValid": true,
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"witnessCount": 3,
"signerKeyHashes": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"errorMessage": null,
"warnings": "[]",
"verifiedAt": "2026-09-19T18:12:23Z"
}
SubmitVerifiedTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/SubmitVerifiedTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"signingRequestId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"signerType": "cip30",
"signerInfo": "Eternl 1.13"
}'
# optional: address (Bech32)
result{
"@odata.context": "$metadata#TransactionSubmissions",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"txHash": "cf8e5cc9a3c28e7fa745b0526176bbef13f102df57ef70c79d5db8c07810a0b9",
"submittedAt": 1789974761,
"status": "pending",
"errorCode": null,
"errorMessage": null,
"retryCount": 3,
"hasErrors": false
}
VerifyDataSignature(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/VerifyDataSignature' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"coseSignature": "845846a201276761646472657373…",
"coseKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}'
# optional: expectedPayload (String)
result{
"valid": true,
"reason": null,
"signedPayload": "{}",
"signerVkh": "ed0a9f313861852c644275742c4b98de9483c0540eb88158e6ffa07f"
}
CreateSigningRequest(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/CreateSigningRequest' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"buildId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a13",
"message": "hello"
}'
result{
"@odata.context": "$metadata#SigningRequests",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"network": "preprod",
"status": "pending",
"createdAt": "2026-09-19T18:12:23Z",
"expiresAt": "2026-09-19T18:12:23Z",
"signedAt": "2026-09-19T18:12:23Z",
"submittedAt": "2026-09-19T18:12:23Z",
"cardanoCliCommand": "cardano-cli conway transaction sign --tx-file tx.unsigned …",
"cip30TxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"signerType": "cip30",
"signerInfo": "Eternl 1.13",
"hsmKeyId": "key-01",
"submission_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"errorMessage": null
}
GetSigningRequest(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/cardano-sign/GetSigningRequest' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"signingRequestId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}'
result{
"@odata.context": "$metadata#SigningRequests",
"id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"build_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"txBodyHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"unsignedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"network": "preprod",
"status": "pending",
"createdAt": "2026-09-19T18:12:23Z",
"expiresAt": "2026-09-19T18:12:23Z",
"signedAt": "2026-09-19T18:12:23Z",
"submittedAt": "2026-09-19T18:12:23Z",
"cardanoCliCommand": "cardano-cli conway transaction sign --tx-file tx.unsigned …",
"cip30TxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"signedTxCbor": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"signerType": "cip30",
"signerInfo": "Eternl 1.13",
"hsmKeyId": "key-01",
"submission_id": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"errorMessage": null
}
NightgateService
Blocks, transactions and contract state. Attestations, proofs, sponsored transactions, jobs.46 calls
NightgateService
Blocks, transactions and contract state. Attestations, proofs, sponsored transactions, jobs.
/odata/v4/nightgate
BlocksentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Blocks",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"hash": "0x7ce9c97244d7464d6c9a405ea25829fba1466e14b717ae62d5d54bfc41cbaf5d",
"height": 1318050,
"protocolVersion": 9,
"timestamp": 1789974761,
"author": "5901a0010100323232…",
"stateRoot": "example",
"ledgerParameters": "5901a0010100323232…",
"parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
Blocks/latest(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks/latest()' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Blocks",
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"height": 1318050,
"protocolVersion": 9,
"timestamp": 1789974761,
"author": "5901a0010100323232…",
"stateRoot": "example",
"ledgerParameters": "5901a0010100323232…",
"parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
Blocks/byHeight(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks(ID='e03465b0-9810-44d2-8870-a538b40ffa90')/byHeight(height=1318050)" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Blocks",
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"height": 1318050,
"protocolVersion": 9,
"timestamp": 1789974761,
"author": "5901a0010100323232…",
"stateRoot": "example",
"ledgerParameters": "5901a0010100323232…",
"parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
Blocks/range(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/Blocks/range(startHeight=1318050,endHeight=1318050,limit=10)' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"height": 1318050,
"protocolVersion": 9,
"timestamp": 1789974761,
"author": "5901a0010100323232…",
"stateRoot": "example",
"ledgerParameters": "5901a0010100323232…",
"parent_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
TransactionsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/Transactions?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Transactions",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"transactionId": 0,
"hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"ledgerTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"protocolVersion": 9,
"raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"transactionType": "REGULAR",
"merkleTreeRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"startIndex": 0,
"endIndex": 0,
"identifiers": "[]",
"txType": "night_transfer",
"isShielded": true,
"senderAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"receiverAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"nightAmount": "2500000",
"dustConsumed": "2500000",
"hasProof": true,
"proofHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
"circuitName": "field_predicate",
"size": 4321,
"payloadDecode": "decoded",
"zswapInputCount": 3,
"zswapOutputCount": 3,
"zswapTransientCount": 3,
"dustSpendCount": 3,
"dustRegistrationCount": 3,
"block_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
Transactions/byHash(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Transactions(ID='2d5492bd-0db2-42a9-adb7-de6b96e32bdf')/byHash(hash='0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Transactions",
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"transactionId": 0,
"hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"ledgerTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"protocolVersion": 9,
"raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"transactionType": "REGULAR",
"merkleTreeRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"startIndex": 0,
"endIndex": 0,
"identifiers": "[]",
"txType": "night_transfer",
"isShielded": true,
"senderAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"receiverAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"nightAmount": "2500000",
"dustConsumed": "2500000",
"hasProof": true,
"proofHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
"circuitName": "field_predicate",
"size": 4321,
"payloadDecode": "decoded",
"zswapInputCount": 3,
"zswapOutputCount": 3,
"zswapTransientCount": 3,
"dustSpendCount": 3,
"dustRegistrationCount": 3,
"block_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
Transactions/byType(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/Transactions/byType(txType='example',limit=10)" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"transactionId": 0,
"hash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"ledgerTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"protocolVersion": 9,
"raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"transactionType": "REGULAR",
"merkleTreeRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"startIndex": 0,
"endIndex": 0,
"identifiers": "[]",
"txType": "night_transfer",
"isShielded": true,
"senderAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"receiverAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"nightAmount": "2500000",
"dustConsumed": "2500000",
"hasProof": true,
"proofHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
"circuitName": "field_predicate",
"size": 4321,
"payloadDecode": "decoded",
"zswapInputCount": 3,
"zswapOutputCount": 3,
"zswapTransientCount": 3,
"dustSpendCount": 3,
"dustRegistrationCount": 3,
"block_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
TransactionResultsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/TransactionResults?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionResults",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"status": "SUCCESS",
"outcomeSource": "chain",
"transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}
]
}
TransactionSegmentsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/TransactionSegments?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionSegments",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"segmentId": 1,
"success": true,
"transactionResult_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}
]
}
TransactionFeesentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/TransactionFees?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionFees",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"paidFees": "184521",
"estimatedFees": "184521",
"transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}
]
}
ContractActionsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/ContractActions?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#ContractActions",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"actionIndex": 0,
"address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"state": "hKQA2QEBgYJYIA==",
"zswapState": "hKQA2QEBgYJYIA==",
"actionType": "DEPLOY",
"entryPoint": "attest",
"transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"deploy_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
ContractActions/byAddress(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/ContractActions/byAddress(address='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"actionIndex": 0,
"address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"state": "hKQA2QEBgYJYIA==",
"zswapState": "hKQA2QEBgYJYIA==",
"actionType": "DEPLOY",
"entryPoint": "attest",
"transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"deploy_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
ContractActions/history(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/ContractActions(ID='6f89f253-83b7-4651-94a4-94e1feaa151e')/history(address='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"actionIndex": 0,
"address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"state": "hKQA2QEBgYJYIA==",
"zswapState": "hKQA2QEBgYJYIA==",
"actionType": "DEPLOY",
"entryPoint": "attest",
"transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"deploy_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
ContractBalancesentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/ContractBalances?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#ContractBalances",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"tokenType": "unshielded",
"amount": "2500000",
"contractAction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}
]
}
UnshieldedUtxosentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/UnshieldedUtxos?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#UnshieldedUtxos",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"owner": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"tokenType": "unshielded",
"value": "42000",
"intentHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"outputIndex": 0,
"ctime": 1789974761,
"initialNonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"registeredForDustGeneration": true,
"createdAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"spentAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
UnshieldedUtxos/byOwner(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/UnshieldedUtxos/byOwner(owner='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"owner": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"tokenType": "unshielded",
"value": "42000",
"intentHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"outputIndex": 0,
"ctime": 1789974761,
"initialNonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"registeredForDustGeneration": true,
"createdAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"spentAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
UnshieldedUtxos/unspent(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/UnshieldedUtxos/unspent()' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"owner": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"tokenType": "unshielded",
"value": "42000",
"intentHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"outputIndex": 0,
"ctime": 1789974761,
"initialNonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"registeredForDustGeneration": true,
"createdAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"spentAtTransaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"createdAt": "2026-09-19T18:12:23Z",
"modifiedAt": "2026-09-19T18:12:23Z"
}
]
}
ZswapLedgerEventsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/ZswapLedgerEvents?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#ZswapLedgerEvents",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"eventId": 1,
"raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"maxId": 1,
"transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}
]
}
DustLedgerEventsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/DustLedgerEvents?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#DustLedgerEvents",
"value": [
{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"eventId": 1,
"raw": "84a400d9010281825820a06006c2cd0947e803e50b5c2466f64196cd191f2340413b6c8c66a0b7cb080700018282581d60…",
"maxId": 1,
"eventType": "DTIME_UPDATE",
"dustOutputNonce": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"transaction_ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}
]
}
NightBalancesentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/NightBalances?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#NightBalances",
"value": [
{
"address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"balance": "2500000",
"utxoCount": 3,
"firstSeenHeight": 1318050,
"firstSeenAt": "2026-09-19T18:12:23Z",
"lastActivityHeight": 1318050,
"lastActivityAt": "2026-09-19T18:12:23Z",
"txSentCount": 3,
"txReceivedCount": 3,
"totalSent": "2500000",
"totalReceived": "2500000",
"dustAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"isDustRegistered": true,
"lastUpdatedHeight": 1318050,
"lastUpdatedAt": "2026-09-19T18:12:23Z"
}
]
}
NightBalances/getBalance(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/NightBalances/getBalance(address='mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#NightBalances",
"address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"balance": "2500000",
"utxoCount": 3,
"firstSeenHeight": 1318050,
"firstSeenAt": "2026-09-19T18:12:23Z",
"lastActivityHeight": 1318050,
"lastActivityAt": "2026-09-19T18:12:23Z",
"txSentCount": 3,
"txReceivedCount": 3,
"totalSent": "2500000",
"totalReceived": "2500000",
"dustAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"isDustRegistered": true,
"lastUpdatedHeight": 1318050,
"lastUpdatedAt": "2026-09-19T18:12:23Z"
}
NightBalances/getTopHolders(…)functionGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/NightBalances/getTopHolders(limit=10)' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"value": [
{
"address": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"balance": "2500000",
"utxoCount": 3,
"firstSeenHeight": 1318050,
"firstSeenAt": "2026-09-19T18:12:23Z",
"lastActivityHeight": 1318050,
"lastActivityAt": "2026-09-19T18:12:23Z",
"txSentCount": 3,
"txReceivedCount": 3,
"totalSent": "2500000",
"totalReceived": "2500000",
"dustAddress": "mn_addr_preprod17v58s7qtqkrs44nj2cmpa2s8nsamv83f2yggrws0hvfqwlgydt9qq09sre",
"isDustRegistered": true,
"lastUpdatedHeight": 1318050,
"lastUpdatedAt": "2026-09-19T18:12:23Z"
}
]
}
anchorDocument(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/anchorDocument' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"sha256": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"contentType": "application/pdf",
"size": 4321,
"storageRef": "s3://reports/2026-q3.pdf",
"metadata": "{\"title\":\"Q3 report\"}",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"documentId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a16",
"attesterId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
verifyDocument(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyDocument(documentId='6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a16',providedSha256='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
# optional: contractAddress (String), compiledArtifactRef (String)
result{
"verified": true,
"included": true,
"stateChecked": true,
"anchoredTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"anchoredAt": "2026-09-19T18:12:23Z",
"originalSha256": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
issueFieldPredicateAttestation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/issueFieldPredicateAttestation' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fieldKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"value": "42000",
"fieldSalt": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"siblingsJson": "[]",
"dirsJson": "[]",
"predicate": "lessOrEqual",
"threshold": 100,
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: attesterId (String), contentRoot (String), unit (String), compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID), validUntil (Integer64)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"predicateAttestationId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a15"
}
issueFieldPredicateAttestationBatch(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/issueFieldPredicateAttestationBatch' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"claimsJson": "[]",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: attesterId (String), contentRoot (String), compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID), validUntil (Integer64)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"claims": "[]",
"droppedDuplicates": 1
}
issueFieldEqualityAttestation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/issueFieldEqualityAttestation' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fieldKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"expectedValue": "{}",
"expectedDigest": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fieldSalt": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"siblingsJson": "[]",
"dirsJson": "[]",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: attesterId (String), contentRoot (String), compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID), validUntil (Integer64)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"predicateAttestationId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a15"
}
issueFieldMembershipAttestation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/issueFieldMembershipAttestation' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fieldKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"value": "42000",
"valueDigest": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"allowedValuesJson": "[]",
"setRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"setSiblingsJson": "[]",
"setDirsJson": "[]",
"fieldSalt": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"siblingsJson": "[]",
"dirsJson": "[]",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: attesterId (String), contentRoot (String), compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID), validUntil (Integer64)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"predicateAttestationId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a15"
}
issueDocumentIntegrityAttestation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/issueDocumentIntegrityAttestation' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHashA": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"payloadHashB": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"allowedMask": 3,
"schemaJson": "{}",
"openingAJson": "{}",
"openingBJson": "{}",
"schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: attesterIdA (String), attesterIdB (String), contentRootA (String), contentRootB (String), compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID), validUntil (Integer64)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"predicateAttestationId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a15"
}
issueDocumentDiffAttestation(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/issueDocumentDiffAttestation' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHashA": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"payloadHashB": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"k": 1,
"schemaJson": "{}",
"openingAJson": "{}",
"openingBJson": "{}",
"schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: attesterIdA (String), attesterIdB (String), contentRootA (String), contentRootB (String), compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID), validUntil (Integer64)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"predicateAttestationId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a15"
}
verifyPredicateAttestation(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyPredicateAttestation(predicateAttestationId='6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a15')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"verified": true,
"included": true,
"stateChecked": true,
"predicate": "lessOrEqual",
"threshold": 100,
"unit": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"expectedDigest": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"setRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"payloadHashB": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"allowedMask": 3,
"provenTxHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"provenAt": "2026-09-19T18:12:23Z"
}
verifyAttestationState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyAttestationState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
# optional: documentId (String), contentRoot (String), schemaId (String), compiledArtifactRef (String), network (String)
result{
"verified": true,
"attested": true,
"contentRootOk": true,
"schemaOk": true,
"bindingRegistered": true,
"attesterId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"recordKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"documentId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
verifyPredicateState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/verifyPredicateState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',fieldKey='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',predicate='lessOrEqual',threshold=100,expectedDigest='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',setRoot='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHashB='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',attesterIdB='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',allowedMask=3,k=1)" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
# optional: compiledArtifactRef (String), network (String)
result{
"verified": true,
"proven": true
}
grantDisclosure(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/grantDisclosure' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"grantee": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"level": 1,
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"disclosureGrantId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10"
}
revokeDisclosure(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/revokeDisclosure' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"grantee": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending"
}
registerGranteeIdentity(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/registerGranteeIdentity' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"bindingInput": "{}"
}'
# optional: scope (String)
result{
"ID": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"granteeId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a10",
"bindingKind": "document"
}
submitContractCall(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/submitContractCall' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
"circuit": "field_predicate",
"compiledArtifactRef": "attestation-vault",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"args": "[]"
}'
# optional: idempotencyKey (String), initialPrivateState (LargeString), sponsorSessionId (UUID)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending"
}
buildSponsorable(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/buildSponsorable' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
"circuit": "field_predicate",
"compiledArtifactRef": "attestation-vault",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"args": "[]"
}'
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending"
}
sponsorFinalizedTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/sponsorFinalizedTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"finalizedTxB64": "hKQA2QEBgYJYIA==",
"sponsorSessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"idempotencyKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}'
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}
sponsorUnboundTransaction(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/sponsorUnboundTransaction' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"unboundTxB64": "hKQA2QEBgYJYIA==",
"sponsorSessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"idempotencyKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}'
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}
submitContractCallBatch(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/submitContractCallBatch' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
"calls": "[]",
"compiledArtifactRef": "attestation-vault",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}'
# optional: idempotencyKey (String), initialPrivateState (LargeString), sponsorSessionId (UUID), independentCalls (Boolean)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending"
}
deriveTokenType(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate/deriveTokenType(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
# optional: domainSeparator (String)
result{
"tokenTypeHex": "5901a0010100323232…",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0",
"domainSeparator": "odatano"
}
prepareDocumentProof(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/prepareDocumentProof' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"documentJson": "{\"invoice\":{\"number\":\"2026-0917\",\"total\":\"1234.50\",\"currency\":\"EUR\"}}",
"proofFieldsJson": "[{\"field\":\"invoice.total\",\"kind\":\"uint\"},{\"field\":\"invoice.currency\",\"kind\":\"bytes\"}]"
}'
# optional: saltSeed (String), compiledArtifactRef (String)
result{
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"canonicalDocument": "{}",
"contentRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"fields": "[]",
"emptyFields": "[]",
"schemaId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"schema": "{}",
"leaves": "[]",
"opening": "{}"
}
prepareMembershipSet(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/prepareMembershipSet' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"allowedValuesJson": "[]"
}'
# optional: value (String), valueDigest (String), compiledArtifactRef (String)
result{
"setRoot": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"memberCount": 3,
"setSiblingsJson": "[]",
"setDirsJson": "[]"
}
attestAgentOutput(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/attestAgentOutput' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"agentId": "max-agent",
"inputHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"outputHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11",
"contractAddress": "89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0"
}'
# optional: modelId (String), policyHash (String), producedAt (Timestamp), storageRef (String), compiledArtifactRef (String), idempotencyKey (String), sponsorSessionId (UUID)
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"status": "pending",
"documentId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a16",
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"envelopeJson": "{}"
}
getJobStatus(…)actionPOST
requestcurl 'https://api.preprod.odatano.dev/odata/v4/nightgate/getJobStatus' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY" \
-H "Content-Type: application/json" \
-d '{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"sessionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a11"
}'
result{
"jobId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a12",
"kind": "anchorDocument",
"status": "pending",
"result": "{}",
"errorCode": null,
"errorMessage": null,
"attempt": 3,
"maxAttempts": 3,
"submissionId": "6f1c2d8e-4b7a-4c1e-9a3f-2d5e8b7c9a14",
"txHash": "0x6824d913a4d32c70915a7fa37e10add4d717cbf8d20414f1df62521d9a574e1d",
"chainStatus": "pending",
"chainFinalizedAt": "2026-09-19T18:12:23Z",
"chainBlockHeight": 1318050,
"chainBlockHash": "0x7ce9c97244d7464d6c9a405ea25829fba1466e14b717ae62d5d54bfc41cbaf5d",
"queuedAt": "2026-09-19T18:12:23Z",
"externalExecutionAt": "2026-09-19T18:12:23Z",
"submittedAt": "2026-09-19T18:12:23Z",
"startedAt": "2026-09-19T18:12:23Z",
"finishedAt": "2026-09-19T18:12:23Z"
}
NightgateVerifyService
Public verification. No key, free.2 calls
NightgateVerifyService
Public verification. No key, free.
/odata/v4/nightgate-verify
verifyAttestationState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate-verify/verifyAttestationState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7')"
# optional: documentId (String), contentRoot (String), schemaId (String), compiledArtifactRef (String), network (String)
result{
"verified": true,
"attested": true,
"contentRootOk": true,
"schemaOk": true,
"bindingRegistered": true,
"attesterId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"payloadHash": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"recordKey": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7",
"documentId": "9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7"
}
verifyPredicateState(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/nightgate-verify/verifyPredicateState(contractAddress='89e233ecf339175aecbc07ba419e998edc8c3115c2bdc23b7cc120e2cc6adcf0',attesterId='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHash='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',fieldKey='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',predicate='lessOrEqual',threshold=100,expectedDigest='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',setRoot='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',payloadHashB='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',attesterIdB='9f2c1e7a4b3d8e6f5a1c2b3d4e5f60718293a4b5c6d7e8f9a0b1c2d3e4f5a6b7',allowedMask=3,k=1)"
# optional: compiledArtifactRef (String), network (String)
result{
"verified": true,
"proven": true
}
ODATANO ASTRA · Analytics
Key figures, daily views and rankings for both chains. Reads only, no grant needed.24 calls
ODATANO ASTRA · Analytics
Key figures, daily views and rankings for both chains. Reads only, no grant needed.
/odata/v4/astra
Overview and key figures
ChainOverviewentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/ChainOverview?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#ChainOverview",
"value": [
{
"chain": "cardano",
"network": "preprod",
"sourceSyncStatus": "synced",
"sourceTipHeight": 5196113,
"sourceChainHeight": 5196113,
"sourceLagBlocks": 1,
"aggregatedHeight": 5196113,
"lagBlocks": 1,
"lastBlockAt": "2026-09-19T18:12:23Z",
"backfilling": false,
"blocks1h": 1,
"blocks1hPrev": 1,
"blocks1hChangePct": "-6.25",
"avgBlockTime1h": "2500000",
"tx1h": 1,
"tx1hPrev": 1,
"tx1hChangePct": "-6.25",
"tx24h": 1,
"fees24h": "184521",
"fees24hPrev": "184521",
"fees24hChangePct": "-6.25",
"feeUnit": "lovelace",
"medianFee24h": "184521",
"p95Fee24h": "184521",
"avgTxPerBlock24h": "2500000"
}
]
}
KeyFiguresentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/KeyFigures?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#KeyFigures",
"value": [
{
"chain": "cardano",
"metric": "tx.count",
"window": "1h",
"name": "Transactions",
"unit": "tx",
"kind": "counter",
"value": "342",
"previous": "163",
"changePct": "109.82",
"count": 342,
"sum": "342",
"avg": "1",
"min": "1",
"max": "1",
"p50": "1",
"p95": "1",
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
Per day and per epoch
BlocksDailyentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/BlocksDaily?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#BlocksDaily",
"value": [
{
"chain": "cardano",
"day": "2026-09-19",
"blocks": 1,
"emptyBlocks": 1,
"avgBlockTimeSec": "23.686",
"p95BlockTimeSec": "23.686",
"maxBlockTimeSec": "5000",
"avgBlockSizeBytes": "5901a0010100323232…",
"maxBlockSizeBytes": 4321,
"avgTxPerBlock": "2500000",
"maxTxPerBlock": 1,
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TransactionsDailyentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TransactionsDaily?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TransactionsDaily",
"value": [
{
"chain": "cardano",
"day": "2026-09-19",
"transactions": 1,
"withAssets": 1,
"withMetadata": 1,
"utxosCreated": 1,
"utxosSpent": 1,
"volume": "255951.65",
"volumeUnit": "ADA",
"avgTxSizeBytes": "5901a0010100323232…",
"systemExtrinsics": 1,
"shielded": 1,
"withProof": 1,
"contractCalls": 1,
"contractDeploys": 1,
"failed": 1,
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
FeesDailyentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/FeesDaily?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#FeesDaily",
"value": [
{
"chain": "cardano",
"day": "2026-09-19",
"totalFees": "255951.65",
"feePayingTx": 1,
"avgFee": "255951.65",
"medianFee": "255951.65",
"p95Fee": "255951.65",
"maxFee": "255951.65",
"feeUnit": "lovelace",
"totalEstimatedFees": "255951.65",
"avgEstimateError": "255951.65",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TokensDailyentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TokensDaily?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TokensDaily",
"value": [
{
"chain": "cardano",
"day": "2026-09-19",
"transfers": 1,
"mints": 1,
"burns": 1,
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
StakeEpochsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/StakeEpochs?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#StakeEpochs",
"value": [
{
"chain": "cardano",
"epoch": 314,
"takenAt": "2026-09-19T18:12:23Z",
"pools": 1,
"totalLiveStakeAda": "125000.5",
"activeDreps": 1,
"totalVotingPowerAda": "125000.5"
}
]
}
Rankings
TopTokensentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TopTokens?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TopTokens",
"value": [
{
"chain": "cardano",
"window": "24h",
"rank": 1,
"entityId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0424541434f4e",
"count": 342,
"sum": "342",
"unit": "moves",
"entities": 2837,
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TopPoliciesentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TopPolicies?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TopPolicies",
"value": [
{
"chain": "cardano",
"window": "24h",
"rank": 1,
"entityId": "0000001c1f5134859ee40556e75834b9929d1b393ab94858a3d27ae0",
"count": 342,
"sum": "342",
"unit": "moves",
"entities": 2837,
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TopAddressesentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TopAddresses?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TopAddresses",
"value": [
{
"chain": "cardano",
"window": "24h",
"rank": 1,
"entityId": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"count": 342,
"sum": "342",
"unit": "ADA",
"entities": 2837,
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TopScriptsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TopScripts?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TopScripts",
"value": [
{
"chain": "cardano",
"window": "24h",
"rank": 1,
"entityId": "addr_test1vrks48e38psc2trygf6hgtztnr0ffq7q2s8t3q2cuml6qlcpxr0yx",
"count": 342,
"sum": "342",
"unit": "ADA",
"entities": 2837,
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TopBlockProducersentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TopBlockProducers?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TopBlockProducers",
"value": [
{
"chain": "cardano",
"window": "24h",
"rank": 1,
"entityId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"count": 342,
"sum": "342",
"unit": "blocks",
"entities": 2837,
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TopPoolsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TopPools?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TopPools",
"value": [
{
"chain": "cardano",
"window": "epoch",
"rank": 1,
"entityId": "pool1wn6a6f23ctq06udwhw27ravdpd6zcr7jlut3yez0wzdackz3222",
"count": 342,
"sum": "342",
"unit": "ADA",
"entities": 2837,
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
TopDRepsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/TopDReps?$top=1' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#TopDReps",
"value": [
{
"chain": "cardano",
"window": "epoch",
"rank": 1,
"entityId": "drep1ygpuetneftlmufa97hm5mf3xvqpdkyw656hyg6h20qaewtg3csnkc",
"count": 342,
"sum": "342",
"unit": "ADA",
"entities": 2837,
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
One metric at a time: the catalogue and the functions that take a metric id
MetricsentityGET
requestcurl 'https://api.preprod.odatano.dev/odata/v4/astra/Metrics?$count=true&$top=5' \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#Metrics",
"@odata.count": 45,
"value": [
{
"chain": "cardano",
"ID": "blocks.count",
"name": "Blocks",
"kind": "counter",
"scope": "chain",
"unit": "blocks",
"description": "Number of blocks indexed in the bucket"
},
{
"chain": "cardano",
"ID": "blocks.empty",
"name": "Empty blocks",
"kind": "counter",
"scope": "chain",
"unit": "blocks",
"description": "Blocks without transactions"
},
{
"chain": "cardano",
"ID": "blocks.interval",
"name": "Block interval",
"kind": "distribution",
"scope": "chain",
"unit": "s",
"description": "Seconds between consecutive blocks (one sample per block)"
},
{
"chain": "cardano",
"ID": "blocks.produced",
"name": "Blocks produced",
"kind": "counter",
"scope": "entity",
"unit": "blocks",
"description": "Blocks by producer (leaderboard dimension producer)"
},
{
"chain": "cardano",
"ID": "blocks.size",
"name": "Block size",
"kind": "distribution",
"scope": "chain",
"unit": "bytes",
"description": "Block size in bytes (one sample per block)"
}
]
}
getWindow(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/astra/getWindow(chain='cardano',metric='tx.count',window='1h')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#WindowResult",
"chain": "cardano",
"metric": "tx.count",
"window": "1h",
"unit": "tx",
"kind": "counter",
"windowStart": "2026-09-19T18:12:23Z",
"windowEnd": "2026-09-19T18:12:23Z",
"value": "342",
"count": 342,
"sum": "342",
"avg": "1",
"min": "1",
"max": "1",
"p50": "1",
"p95": "1",
"stddev": "0",
"prevValue": "163",
"changePct": "109.82",
"fromHeight": 5196113,
"toHeight": 5196113,
"bucketsUsed": 1,
"computedAt": "2026-09-19T18:12:23Z"
}
getSeries(…)functionGET
requestcurl "https://api.preprod.odatano.dev/odata/v4/astra/getSeries(chain='cardano',metric='tx.count',window='1h')" \
-H "Authorization: Bearer $ODATANO_ACCESS_KEY"
result{
"@odata.context": "$metadata#SeriesResult",
"chain": "cardano",
"metric": "tx.count",
"window": "1h",
"granularity": "day",
"unit": "tx",
"points": [
{
"bucketStart": "2026-09-19T18:12:23Z",
"count": 342,
"sum": "342",
"avg": "1",
"min": "1",
"max": "1",
"p50": "1",
"p95": "1",
"fromHeight": 5196113,
"toHeight": 5196113
}
]
}
compare(…)functionGET
[...]
